Bug 253467 - No shortcut for idle
Summary: No shortcut for idle
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: python   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: James Antill
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-20 01:54 UTC by Philip Ashmore
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 14:28:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Philip Ashmore 2007-08-20 01:54:25 UTC
Description of problem:
There isn't a direct means of starting idle

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Look for a direct way to start idle
2.
3.
  
Actual results:
There isn't one

Expected results:
There should be a direct way to start idle

Additional info:
I wrote a bash script to do this.
Change SCRIPT_PATH to a directory you can write to in your PATH and PYTHON_VER
to whatever version of Python you have installed.

SCRIPT_PATH=~/bin
PYTHON_VER=2.5
cat >$SCRIPT_PATH/idle << EOF
#!/bin/bash
/usr/bin/python -tt /usr/lib/python$PYTHON_VER/idlelib/idle.py
EOF
chmod a+x $SCRIPT_PATH/idle

I prefer to define PYTHON_VER in my ~/.bashrc, but whatever you think best.
Now when you wish to start idle you can use
    Alt-F2/idle
or in konsole
    idle &


Note You need to log in before you can comment on or make changes to this bug.